Subject: Re: [patch 3/4] 4xx: Convert Walnut flash mappings to new binding

From: Segher Boessenkool <[email-masked]>
Date: Sat, 15 Sep 2007 21:20:10 +0200

>> Maybe we can have  U-Boot  add  the  partition  information  if  it's
>> missing in the device tree, and extend the mtdparts command in U-Boot
>> to add / adjust settings so they match what is defined in U-Boot.
>
> That would be great for newer U-Boots.  For existing older ones, it
> doesn't really solve the problem.  But then again, there's no way to
> possibly define all the partitioning schemes people may have adopted to
> their needs on their boards.  And I believe that is why David has
> RedBoot and command line partitioning override what is in the DTS 
> today.

Yeah, partitioning information really doesn't belong in the device
tree -- with the possible exception of the partitions that the
firmware (uboot in this case) needs to know about anyway.

You *can* put all partitioning info in the device tree, but that
doesn't mean you *should* :-)

Segher